'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgTags = function SvgTags(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#Tags_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M4.116 60h60.026L80 41.806l-4.48-4.732L60.021 20H0v35.159h4.116zm59.534-1.255H5.31V55.16h54.721l15.086-16.747.035.042 3.176 3.425-.095.11zm-4.117-4.763H1.2V21.25h58.333l.045.052 14.638 16.357-.1.109zm.996-20.374a3.4 3.4 0 0 0-.727.072 3.75 3.75 0 0 0-1.94 1.075 4.03 4.03 0 0 0-1.046 2.017 4.15 4.15 0 0 0 .026 1.739c.132.57.382 1.102.734 1.56.352.456.796.826 1.3 1.082a3.66 3.66 0 0 0 1.618.398 3.5 3.5 0 0 0 1.493-.291c.466-.196.89-.488 1.244-.86.446-.458.776-1.026.96-1.65.185-.625.22-1.288.1-1.93a4.05 4.05 0 0 0-.783-1.75 3.8 3.8 0 0 0-1.481-1.155 3.6 3.6 0 0 0-1.508-.292zm0 6.689h-.065a2.55 2.55 0 0 1-1.808-.812 2.78 2.78 0 0 1-.745-1.906c0-.54.153-1.069.44-1.518a2.63 2.63 0 0 1 1.177-1.001 2.5 2.5 0 0 1 2.228.132c.338.193.632.463.859.79a2.826 2.826 0 0 1 .288 2.66c-.2.488-.533.905-.958 1.198a2.5 2.5 0 0 1-1.431.446zm-51.7-.208h22v-1.26h-22zm0-6.992h22v-1.249h-22z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "Tags_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgTags;
